import axios from "@/utils/request"


export function orderPage(query) {
  return axios({
    url: "/udiwms/basic/collect/order/filter",
    method: "get",
    params: query
  });
}

export function orderDetail(query) {
  return axios({
    url: "/udiwms/basic/collect/order/detail",
    method: "get",
    params: query
  });
}


export function deleteByOrder(query) {
  return axios({
    url: "/udiwms/basic/collect/order/deleteOrder",
    method: "post",
    data: query
  });
}


/**
 * 手动扫码明细
 * @param query
 * @returns {AxiosPromise}
 */
export function manualCodeDetail(query) {
  return axios({
    url: "/udiwms/ioSplit/collect/manual/code/list",
    method: "get",
    params: query
  });
}

/**
 * 自动扫码明细
 * @param query
 * @returns {AxiosPromise}
 */
export function autoCodeDetail(query) {
  return axios({
    url: "/udiwms/ioSplit/collect/auto/order/filter",
    method: "get",
    params: query
  });
}




